> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getTaxNameForExemption

> Retrieves the taxNames that can be added as exemptions for employees and companies

Note:
- Once retrieved use these taxNames with the `addPayrollTaxExemption` API
- userId is optional, include it to find employee specific taxNames or omit it to find company taxNames
- Some taxes are returned with a `High Risk` indicator and a warning message. This message should be displayed clearly on your UI to limit legal liability



## OpenAPI

````yaml get /reports/getTaxNameForExemption
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getTaxNameForExemption:
    get:
      tags: []
      summary: getTaxNameForExemption
      description: >-
        Retrieves the taxNames that can be added as exemptions for employees and
        companies


        Note:

        - Once retrieved use these taxNames with the `addPayrollTaxExemption`
        API

        - userId is optional, include it to find employee specific taxNames or
        omit it to find company taxNames

        - Some taxes are returned with a `High Risk` indicator and a warning
        message. This message should be displayed clearly on your UI to limit
        legal liability
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                userId:
                  type: string
              required:
                - method
                - companyId
            example:
              method: getTaxNameForExemption
              companyId: ECF1B47E-108F-45C0-A520-6A128A727B04
              userId: 33820169-85C2-482A-BCCF-B2281419E96E
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  EmployerTaxName:
                    type: array
                    items:
                      type: object
                      properties:
                        taxName:
                          type: string
                        ExemptionStatus:
                          type: string
                        warningMessage:
                          type: string
                      required:
                        - taxName
                required:
                  - EmployerTaxName
              example:
                EmployerTaxName:
                  - taxName: FL - State Unemployment Insurance
                    ExemptionStatus: High Risk
                    warningMessage: >-
                      High-risk tax exemption. Confirm eligibility and effective
                      dates before saving. If applied incorrectly, this may
                      result in inaccurate reporting, tax underpayment, and
                      required corrections.
                  - taxName: FUTA
                    ExemptionStatus: High Risk
                    warningMessage: >-
                      High-risk tax exemption. Confirm eligibility and effective
                      dates before saving. If applied incorrectly, this may
                      result in inaccurate reporting, tax underpayment, and
                      required corrections.
                  - taxName: WA - Industrial Insurance EE
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                error:
                  code: 400
                  message: companyId is required.
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````